package com.wasu.cs.model;

import java.util.List;

/**
 * @Description:
 * @Author: Danxingxi
 * @CreateDate: 2016/12/8 10:59
 */
public class LifeListDataModel {

    private int code;
    private DataEntity data;
    private String message;

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public DataEntity getData() {
        return data;
    }

    public void setData(DataEntity data) {
        this.data = data;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public static class DataEntity {

        private int blockType;
        private ChannelsWinEntity channelsWin;
        private List<LinkImagesEntity> linkImages;

        public int getBlockType() {
            return blockType;
        }

        public void setBlockType(int blockType) {
            this.blockType = blockType;
        }

        public ChannelsWinEntity getChannelsWin() {
            return channelsWin;
        }

        public void setChannelsWin(ChannelsWinEntity channelsWin) {
            this.channelsWin = channelsWin;
        }

        public List<LinkImagesEntity> getLinkImages() {
            return linkImages;
        }

        public void setLinkImages(List<LinkImagesEntity> linkImages) {
            this.linkImages = linkImages;
        }

        /**
         * 视频轮播数据
         */
        public static class ChannelsWinEntity {

            private String jsonUrl;
            private String layout;
            private int linkType;
            private String picUrl;
            private String title;

            public String getJsonUrl() {
                return jsonUrl;
            }

            public void setJsonUrl(String jsonUrl) {
                this.jsonUrl = jsonUrl;
            }

            public String getLayout() {
                return layout;
            }

            public void setLayout(String layout) {
                this.layout = layout;
            }

            public int getLinkType() {
                return linkType;
            }

            public void setLinkType(int linkType) {
                this.linkType = linkType;
            }

            public String getPicUrl() {
                return picUrl;
            }

            public void setPicUrl(String picUrl) {
                this.picUrl = picUrl;
            }

            public String getTitle() {
                return title;
            }

            public void setTitle(String title) {
                this.title = title;
            }
        }

        /**
         * 图片列表
         */
        public static class LinkImagesEntity {

            private int catId;
            private int id;
            private String jsonUrl;
            private String layout;
            private int linkType;
            private String picUrl;
            private String points;
            private String summary;
            private String title;

            public int getCatId() {
                return catId;
            }

            public void setCatId(int catId) {
                this.catId = catId;
            }

            public int getId() {
                return id;
            }

            public void setId(int id) {
                this.id = id;
            }

            public String getJsonUrl() {
                return jsonUrl;
            }

            public void setJsonUrl(String jsonUrl) {
                this.jsonUrl = jsonUrl;
            }

            public String getLayout() {
                return layout;
            }

            public void setLayout(String layout) {
                this.layout = layout;
            }

            public int getLinkType() {
                return linkType;
            }

            public void setLinkType(int linkType) {
                this.linkType = linkType;
            }

            public String getPicUrl() {
                return picUrl;
            }

            public void setPicUrl(String picUrl) {
                this.picUrl = picUrl;
            }

            public String getPoints() {
                return points;
            }

            public void setPoints(String points) {
                this.points = points;
            }

            public String getSummary() {
                return summary;
            }

            public void setSummary(String summary) {
                this.summary = summary;
            }

            public String getTitle() {
                return title;
            }

            public void setTitle(String title) {
                this.title = title;
            }
        }
    }
}
